import { BehaviorSubject } from 'rxjs';
import { UserLocationService } from './user-location.service';

export function getUserLocationServiceMock(
    mockedLocation: string,
): Omit<UserLocationService, 'dictionaries'> {
    const location = new BehaviorSubject<string | null>(null);

    return {
        location,
        locate() {
            location.next(mockedLocation);
        },
    };
}
